

/* COMMON */
.lbcharts { background: #fff; }

/* участники */
.lbchart { display: none; animation: frame1 10s ease-out; padding: 0 30px 50px 0; }
.lb--foodhunter .lbchart--foodhunter { display: block; }
.lb--critic .lbchart--critic { display: block; }
.lb--restoholic .lbchart--restoholic { display: block; }


/* блок участника */
.lbchart__user { padding: 0 0 0 154px; position: relative; max-width: 700px; margin: 0 auto; }
.lbchart__user:last-child > .lbchart__name { border-bottom: none; }

/* стили своего блока */
.lbchart__user--i .lbchart__name { color: #00a942; }


/* номер участника */
.lbchart__user:before { content: attr(data-num)"."; position: absolute; left: 0; bottom: 0; top: 0; margin: auto; height: 18px; color: #aaa; width: 48px; text-align: right; }

/* изображение участника */
.lbchart__avatar { width: 50px; height: 50px; position: absolute; background-repeat: no-repeat; background-position: 50%; background-size: cover; border-radius: 50%; background-color: #aaa; top: 0; bottom: 0; margin: auto; }
.lbchart__avatar:before { content: attr(data-char); text-transform: uppercase; width: 50px; height: 50px; display: block; text-align: center; color: #fff; font: 28px/50px geometria, arial; }


/* имя участника */
.lbchart__name { display: block; color: #000; text-decoration: none; border-bottom: 1px solid #eee; padding: 0 150px 0 0; font: 400 18px/65px geometria, arial; }
.lbchart__name:before { content: attr(data-name); display: block; white-space: nowrap; text-overflow: ellipsis; overflow: hidden; }


/* достижение */
.lbchart__score { position: absolute; background: #ccc; color: #fff; padding: 0 4px; border-radius: 2px; font: 400 14px/22px geometria, arial; height: 20px; min-width: 37px; text-align: center; top: 24px; right: 0; }
.lbchart__score:before { content: attr(data-full); }


/* разделитель топа и своей строчки */
.lbchart__user--dotted { position: relative; top: 30px; }
.lbchart__user--dotted:after { content: "..."; font: 78px/10px geometria, arial; position: absolute; top: -38px; left: 0; right: 0; text-align: center; color: #aaa; background: #fff; padding: 0 0 0 154px; }


/* кубки в общем списке */
.lbchart__user--trophy:after { position: absolute; background-repeat: no-repeat; background-position: 50%; content: ""; width: 30px; height: 30px;   background-size: 30px; right: 100px; top: 3px; bottom: 0; margin: auto; }
.lbchart__user--trophy-gold:after { background-image: url(i/trophy_gold.svg); }
.lbchart__user--trophy-silver:after { background-image: url(i/trophy_silver.svg); }
.lbchart__user--trophy-bronze:after { background-image: url(i/trophy_bronze.svg); }


